1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
      • Get all customer
      • Create customer
      • Update customer
      • Get order history
      • Get destinations
      • Get guests
      • Get by id care history
      • Create company
      • Get all care history
  • Đơn hàng
    • v1
      • Get by id
      • Get all order
      • Get Passengers Order
      • Create order tour
      • Create order product
      • Create order hotel
      • Create order flight
      • Confirm payment order
      • Cancel order
      • Import Order Flight
  • Điều hành
    • v1
      • Overview
      • Create row cost
      • Update row cost
      • Delete row cost
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Chiết tinh giá
    • v1
      • Overview
  • Nhà cung cấp
    • v1
      • Get all suppliers
        GET
      • Get suppliers products
        GET
      • Get all tour guides
        GET
      • Create Supplier & Hotel
        POST
      • Create Prices Suppliers products
        POST
      • Append Prices Hotel
        POST
  • Lịch khởi hành
    • v1
      • Get all tour
      • Create tour
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
      • Get by id
      • Create lead
      • Update lead
  • Báo giá
    • v1
      • Get all
      • Update schedules
      • Update policy
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn bán ra
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
    • Hóa đơn mua vào
      • Import
  • Phê duyệt
    • v1
      • Overview
      • Summary
      • Approvals
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Hạng thành viên
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
    • Phương thức thanh toán
      • Get All
    • Nguồn bán hàng
      • Get All
    • Phễu chuyển đổi lead
      • Trạng thái lead
      • Trạng thái báo giá
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  1. v1

Get all suppliers

GET
/api/v1/suppliers
Trả về danh sách nhà cung cấp với phân trang, lọc, sắp xếp và tìm kiếm.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demo.tourwell.net/api/v1/suppliers?code=SUP216&name=Paradise%20Cruise%20H%E1%BA%A1%20Long&service_id=2' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "id": 216,
            "code": "SUP216",
            "name": "Paradise Cruise Hạ Long",
            "short_name": "",
            "email": "",
            "phone": "",
            "address": "",
            "star": 0,
            "tax_code": "",
            "location": "Hạ Long",
            "type_of_service": "Du thuyền",
            "created_at": "2025-03-19 10:26:50"
        }
    ],
    "links": {
        "first": "http://tour.upwell.test/api/v1/suppliers?page=1",
        "last": "http://tour.upwell.test/api/v1/suppliers?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [
            {
                "url": null,
                "label": "&laquo; Trước",
                "active": false
            },
            {
                "url": "http://tour.upwell.test/api/v1/suppliers?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": null,
                "label": "Sau &raquo;",
                "active": false
            }
        ],
        "path": "http://tour.upwell.test/api/v1/suppliers",
        "per_page": 25,
        "to": 1,
        "total": 1
    }
}
Modified at 2026-05-19 23:49:28
Previous
Overview
Next
Get suppliers products
Built with